# -*- encoding: utf-8 -*-
# stub: kafo_wizards 0.0.1 ruby lib

Gem::Specification.new do |s|
  s.name = "kafo_wizards".freeze
  s.version = "0.0.1"

  s.required_rubygems_version = Gem::Requirement.new(">= 0".freeze) if s.respond_to? :required_rubygems_version=
  s.require_paths = ["lib".freeze]
  s.authors = ["Martin Ba\u010Dovsk\u00FD".freeze]
  s.date = "2018-06-30"
  s.description = "This gem helps to create wizard like interfaces in terminal applications, has support for nesting and value validation".freeze
  s.email = ["mbacovsk@redhat.com".freeze]
  s.files = ["LICENSE.txt".freeze, "README.md".freeze, "Rakefile".freeze, "lib/kafo_wizards.rb".freeze, "lib/kafo_wizards/abstract_wizard.rb".freeze, "lib/kafo_wizards/entries.rb".freeze, "lib/kafo_wizards/entries/abstract.rb".freeze, "lib/kafo_wizards/entries/boolean.rb".freeze, "lib/kafo_wizards/entries/button.rb".freeze, "lib/kafo_wizards/entries/ip_address.rb".freeze, "lib/kafo_wizards/entries/netmask.rb".freeze, "lib/kafo_wizards/entries/password.rb".freeze, "lib/kafo_wizards/entries/selector.rb".freeze, "lib/kafo_wizards/entries/string.rb".freeze, "lib/kafo_wizards/entries/string_or_file.rb".freeze, "lib/kafo_wizards/exceptions.rb".freeze, "lib/kafo_wizards/factory.rb".freeze, "lib/kafo_wizards/highline.rb".freeze, "lib/kafo_wizards/highline/abstract_renderer.rb".freeze, "lib/kafo_wizards/highline/boolean_renderer.rb".freeze, "lib/kafo_wizards/highline/button_renderer.rb".freeze, "lib/kafo_wizards/highline/password_renderer.rb".freeze, "lib/kafo_wizards/highline/selector_renderer.rb".freeze, "lib/kafo_wizards/highline/string_or_file_renderer.rb".freeze, "lib/kafo_wizards/highline/string_renderer.rb".freeze, "lib/kafo_wizards/highline/wizard.rb".freeze, "lib/kafo_wizards/version.rb".freeze]
  s.homepage = "https://github.com/theforeman/kafo_wizards".freeze
  s.licenses = ["GPLv3+".freeze]
  s.rubygems_version = "3.1.2".freeze
  s.summary = "Wizard like interfaces in terminal".freeze

  if s.respond_to? :specification_version then
    s.specification_version = 4
  end

  if s.respond_to? :add_runtime_dependency then
    s.add_development_dependency(%q<bundler>.freeze, ["~> 1.5"])
    s.add_development_dependency(%q<ci_reporter>.freeze, [">= 0"])
    s.add_runtime_dependency(%q<highline>.freeze, [">= 0"])
    s.add_development_dependency(%q<minitest>.freeze, ["~> 4.0"])
    s.add_development_dependency(%q<mocha>.freeze, [">= 0"])
    s.add_development_dependency(%q<rake>.freeze, [">= 0"])
    s.add_development_dependency(%q<simplecov>.freeze, [">= 0"])
    s.add_development_dependency(%q<thor>.freeze, [">= 0"])
  else
    s.add_dependency(%q<bundler>.freeze, ["~> 1.5"])
    s.add_dependency(%q<ci_reporter>.freeze, [">= 0"])
    s.add_dependency(%q<highline>.freeze, [">= 0"])
    s.add_dependency(%q<minitest>.freeze, ["~> 4.0"])
    s.add_dependency(%q<mocha>.freeze, [">= 0"])
    s.add_dependency(%q<rake>.freeze, [">= 0"])
    s.add_dependency(%q<simplecov>.freeze, [">= 0"])
    s.add_dependency(%q<thor>.freeze, [">= 0"])
  end
end
